AbstractEntityJoinWalker (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Class AbstractEntityJoinWalker

    java.lang.Object
      org.hibernate.loader.JoinWalker
          org.hibernate.loader.AbstractEntityJoinWalker

Direct Known Subclasses:
  CascadeEntityJoinWalker, CriteriaJoinWalker, EntityJoinWalker

    public abstract class AbstractEntityJoinWalker

extends JoinWalker

Abstract walker for walkers which begin at an entity (criteria queries and entity loaders).

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.loader.JoinWalker
`JoinWalker.AssociationInitCallback`

Field Summary

Fields inherited from class org.hibernate.loader.JoinWalker
`aliases, associations, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, lockOptions, ownerAssociationTypes, owners, persisters, sql, suffixes`

Constructor Summary
`AbstractEntityJoinWalker(OuterJoinLoadable persister, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`
`AbstractEntityJoinWalker(OuterJoinLoadable persister, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers, String alias)`

Method Summary
`protected String` | `getAlias()`
`abstract String` | `getComment()`
`protected Loadable` | `getPersister()`
`protected String` | `getWhereFragment()`
`protected void` | `initAll(String whereString, String orderByString, LockOptions lockOptions)`
`protected void` | `initAll(String whereString, String orderByString, LockOptions lockOptions, JoinWalker.AssociationInitCallback callback)`
`protected void` | `initProjection(String projectionString, String whereString, String orderByString, String groupByString, LockOptions lockOptions)`
`protected boolean` | `isDuplicateAssociation(String foreignKeyTable, String[] foreignKeyColumns)` Used to detect circularities in the joined graph, note that this method is side-effecty
`protected boolean` | `isJoinedFetchEnabled(AssociationType type, FetchMode config, CascadeStyle cascadeStyle)` The superclass deliberately excludes collections
`protected boolean` | `isJoinFetchEnabledByProfile(OuterJoinLoadable persister, PropertyPath path, int propertyNumber)`
`String` | `toString()`

Methods inherited from class org.hibernate.loader.JoinWalker
`countCollectionPersisters, countEntityPersisters, generateRootAlias, generateTableAlias, getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getFactory, getJoinType, getJoinType, getJoinType, getLoadQueryInfluencers, getLockModeArray, getLockModeOptions, getOwnerAssociationTypes, getOwners, getPersisters, getSQLString, getSuffixes, getWithClause, hasRestriction, initPersisters, initPersisters, initPersisters, isDuplicateAssociation, isJoinable, isJoinedFetchEnabledInMapping, isTooDeep, isTooManyCollections, mergeOrderings, mergeOuterJoins, orderBy, orderBy, selectString, setAliases, setCollectionOwners, setCollectionPersisters, setCollectionSuffixes, setOwnerAssociationTypes, setOwners, setPersisters, setSql, setSuffixes, walkCollectionTree, walkEntityTree, whereString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractEntityJoinWalker

    public AbstractEntityJoinWalker(OuterJoinLoadable persister,
                                    SessionFactoryImplementor factory,
                                    LoadQueryInfluencers loadQueryInfluencers)

### AbstractEntityJoinWalker

    public AbstractEntityJoinWalker(OuterJoinLoadable persister,
                                    SessionFactoryImplementor factory,
                                    LoadQueryInfluencers loadQueryInfluencers,
                                    String alias)

Method Detail

### initAll

    protected final void initAll(String whereString,
                                 String orderByString,
                                 LockOptions lockOptions)
                          throws MappingException

  Throws:
    `MappingException`

### initAll

    protected final void initAll(String whereString,
                                 String orderByString,
                                 LockOptions lockOptions,
                                 JoinWalker.AssociationInitCallback callback)
                          throws MappingException

  Throws:
    `MappingException`

### initProjection

    protected final void initProjection(String projectionString,
                                        String whereString,
                                        String orderByString,
                                        String groupByString,
                                        LockOptions lockOptions)
                                 throws MappingException

  Throws:
    `MappingException`

### getWhereFragment

    protected String getWhereFragment()
                               throws MappingException

  Throws:
    `MappingException`

### isJoinedFetchEnabled

    protected boolean isJoinedFetchEnabled(AssociationType type,
                                           FetchMode config,
                                           CascadeStyle cascadeStyle)

  The superclass deliberately excludes collections

  Overrides:
    `isJoinedFetchEnabled` in class `JoinWalker`

### isJoinFetchEnabledByProfile

    protected final boolean isJoinFetchEnabledByProfile(OuterJoinLoadable persister,
                                                        PropertyPath path,
                                                        int propertyNumber)

### getComment

    public abstract String getComment()

### isDuplicateAssociation

    protected boolean isDuplicateAssociation(String foreignKeyTable,
                                             String[] foreignKeyColumns)

  Description copied from class: `JoinWalker`
  Used to detect circularities in the joined graph, note that this method is side-effecty

  Overrides:
    `isDuplicateAssociation` in class `JoinWalker`

### getPersister

    protected final Loadable getPersister()

### getAlias

    protected final String getAlias()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.